//
// test_common.hh : Test Application Include File
// author         : Fabio Silva
//
// Copyright (C) 2000-2003 by the University of Southern California
// $Id: test_common.hh,v 1.1 2005/04/22 06:08:36 fstann Exp $
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License,
// version 2, as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
//
//

#ifndef _TEST_COMMON_HH_
#define _TEST_COMMON_HH_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif // HAVE_CONFIG_H

#include "diffapp.hh"

#include <math.h>
#include <signal.h>

#define TIME_KEY    3602
#define NODE_KEY    3603

#define EXPERIMENT_WARM_UP_TIME 120 // in seconds
#define STARTUP_DELAY_TIME 10 // in seconds
#define STARTUP_DELAY_JITTER 19 // in seconds
#define SEND_RATE 0.1 // once every 10 seconds

extern NRSimpleAttributeFactory<char *> TargetAttr;
extern NRSimpleAttributeFactory<void *> TimeAttr;
extern NRSimpleAttributeFactory<int> NodeAttr;

class EventTime {
public:
  long seconds_;
  long useconds_;
};

#endif // !_TEST_COMMON_HH_
